Visual Diff does not show changes related with "Comment"
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. Try to add/edit a comment
  2. Click on "Get Diff"

It does not show any changes related with "Comment" node

Ryasmeen created this task.Nov 2 2016, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2016, 5:28 PM
Jdforrester-WMF triaged this task as Normal priority.Nov 2 2016, 8:18 PM
Jdforrester-WMF set the point value for this task to 1.
Esanders changed the point value for this task from 1 to 8.Jan 17 2017, 5:21 PM

Change 339022 had a related patch set uploaded (by Tchanders):
WIP Show comments in visual diff

https://gerrit.wikimedia.org/r/339022

Some thoughts:

  • The diff view is meant to represent the document as it would appear to a reader, not an editor, so we shouldn't suddenly display comments if they are unchanged
  • However, the differ is a tool for editors to see what they have changed, so we should draw attention to inserted/removed/changed comments somehow
  • Perhaps a happy compromise would be to treat comment diffs like attribute diffs (e.g. bolding a word), so highlight the place where the comment is/was to show that something has changed there, but show the details of the change elsewhere (the same place where we display details of attribute changes)

Change 339022 merged by jenkins-bot:
Highlight comment changes in visual diff and fix whitespace

https://gerrit.wikimedia.org/r/339022

Change 340446 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (15f36bc75)

https://gerrit.wikimedia.org/r/340446

Change 340446 merged by jenkins-bot:
Update VE core submodule to master (15f36bc75)

https://gerrit.wikimedia.org/r/340446

Is this good to close now?

Change 361516 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] Include message for comment diff

https://gerrit.wikimedia.org/r/361516

Change 361516 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Include message for comment diff

https://gerrit.wikimedia.org/r/361516

Deskana closed this task as Resolved.Jun 27 2017, 6:36 PM
Deskana assigned this task to Tchanders.
Deskana added a subscriber: Deskana.

Is this good to close now?

All linked patches are merged, so let's say yes. :-)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 27 2017, 6:36 PM